<template>
  <nav id = "navbar" class = "navbar">
    <div class = "first-button" v-show = "currentData !== 'about'">
      <button type = "button" @click = "$emit('update-current-about'); scrollTop();">
        View About Page
      </button>
    </div>
    <div :class = "currentData === 'about' ? 'first-button' : 'last-button'" v-show = "currentData !== 'resume'">
      <button type = "button" @click = "$emit('update-current-resume'); scrollTop();">
        View Resume Page
      </button>
    </div>
    <div class = "last-button" v-show = "currentData !== 'projects'">
      <button type = "button" @click = "$emit('update-current-projects'); scrollTop();">
        View Projects Page
      </button>
    </div>
  </nav>
</template>

<script>
export default {
  name: "Navbar",
  props: {
    currentData: String
  },
  methods: {
    scrollTop: function () {
      this.intervalId = setInterval(() => {
        if (window.pageYOffset === 0) {
          clearInterval(this.intervalId);
        }
        window.scroll(0, window.pageYOffset - 25)
      }, 20)
    }
  }
}
</script>

<style scoped>

nav {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: 50px repeat(2, auto);
  row-gap: 10px;
}

div {
  display: inline;
}

button {
  font-family: "Ubuntu M", "Noto Mono", monospace;

  height: 75px;
  width: 190px;
  border: 4px solid yellowgreen;
  border-radius: 100px;
  margin-right: 1.5%;
  background-color: azure;
  cursor: pointer;

  transition-duration: 0.4s;
}

button:hover {
  background-color: yellowgreen;
}

.first-button {
  grid-column: 2;
  grid-row: 2;
}

.last-button {
  grid-column: 2;
  grid-row: 3;
}

@media (min-width: 700px) {
  /*nav {*/
  /*  display: grid;*/
  /*  grid-template-columns: auto auto auto;*/
  /*  grid-template-rows: 50px repeat(2, auto);*/
  /*  row-gap: 10px;*/
  /*}*/

  .first-button {
    grid-column: 2;
    grid-row: 2;
    justify-items: center;
  }

  .last-button {
    grid-column: 2;
    grid-row: 3;
    justify-items: center;
  }

}

</style>
